package EPrints::Plugin::Export::OAI_DRIVER_DC;

# OAI DRIVER DC export plug-in
#
# Version 1.1
#
# 'Extends' EPrints::Plugin::OAI_DRIVER_Export
#
# 10-01-2008, Arnoud Jippes, University of Twente, NL
#
# Waiting for validating report
# See: http://www.driver-support.eu/documents/DRIVER_guidelines_annexes_1_1_1.pdf

use EPrints::Plugin::Export::OAI_DRIVER_Export;

@ISA = ( "EPrints::Plugin::Export::OAI_DRIVER_Export" );

use strict;

sub new
{
	my( $class, %opts ) = @_;

	my $self = $class->SUPER::new( %opts );

	$self->{name} = "Dublin Core - OAI DRIVER Schema";
	$self->{accept} = [ 'dataobj/eprint' ];
	$self->{visible} = "all";
	$self->{suffix} = ".xml";
	$self->{mimetype} = "text/xml";
	
	$self->{xmlns} = "http://www.openarchives.org/OAI/2.0/oai_dc/";
	$self->{schemaLocation} = "http://www.openarchives.org/OAI/2.0/oai_dc.xsd";

	return $self;
}

sub output_dataobj
{
	my( $plugin, $dataobj ) = @_;

	my $xml = $plugin->xml_dc( $dataobj );

	return EPrints::XML::to_string( $xml );
}

sub xml_dataobj
{
	my( $plugin, $dataobj ) = @_;
	
	return $plugin->xml_dc( $dataobj );
}

1;
